/// <reference types="react" />
export declare const StyledRequestConsultationForm: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledButton: import("@emotion/styled").StyledComponent<{
    variant?: "error" | "primary" | "secondary" | "tertiary" | "light" | "ghost" | "white" | "success";
    skipHover?: boolean;
    withColorHover?: boolean;
    theme?: "helloSites" | "marryBaby";
    component?: any;
    gradient?: string;
} & Omit<import("@mantine/core").ButtonProps, "variant" | "gradient"> & import("react").ButtonHTMLAttributes<HTMLButtonElement> & import("../../../types").DataTrackingType & import("react").RefAttributes<unknown> & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
export declare const StyledDrawerBottom: import("@emotion/styled").StyledComponent<{
    isOpen: boolean;
    isMobile: boolean;
    onClose: () => void;
    overlayClassName?: string;
    contentClassName?: string;
    handlerClassName?: string;
    isLinear?: boolean;
    onOpenChange?: (isOpen: boolean) => void;
    drawerOverlayProps?: Omit<Omit<import("@radix-ui/react-dialog").DialogOverlayProps & import("react").RefAttributes<HTMLDivElement>, "ref"> & import("react").RefAttributes<HTMLDivElement>, "ref"> & import("../../../types").DataTrackingTypeHTMLElement;
} & Omit<import("@mantine/core").ModalProps, "opened"> & Omit<import("vaul").DialogProps, "open"> & {
    children?: import("react").ReactNode;
} & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
export declare const StyledPhone: import("@emotion/styled").StyledComponent<Omit<import("../../../mantine").PhoneProps, "ref"> & import("react").RefAttributes<import("react").Ref<unknown>> & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
export declare const StyledInputWrapper: import("@emotion/styled").StyledComponent<import("@mantine/core").InputWrapperProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
